'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _index = require('./util/index.js');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } } /* eslint-disable */


var Event = function Event(type) {
    _classCallCheck(this, Event);

    this.cancelBubble = false;
    this.cancelable = false;
    this.target = null;
    this.currentTarget = null;
    this.preventDefault = _index.noop;
    this.stopPropagation = _index.noop;

    this.type = type;
    this.timeStamp = Date.now();
};

exports.default = Event;
module.exports = exports['default'];