"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _CommonComputedStyle = require("./CommonComputedStyle");

var _CommonComputedStyle2 = _interopRequireDefault(_CommonComputedStyle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getImageComputedStyle(image) {
    var width = image.width;
    var height = image.height;
    var style = Object.assign(_CommonComputedStyle2.default, {
        "display": "inline",
        "position": "static",
        "inlineSize": width + "px",
        "perspectiveOrigin": width / 2 + "px " + height / 2 + "px",
        "transformOrigin": width / 2 + "px " + height / 2 + "px",
        "webkitLogicalWidth": width + "px",
        "webkitLogicalHeight": height + "px",
        "width": width + "px",
        "height": height + "px"
    });
    return style;
} /* eslint-disable */
exports.default = getImageComputedStyle;
module.exports = exports["default"];