"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/* eslint-disable */
var Worker = function () {
    function Worker(file) {
        var _this = this;

        _classCallCheck(this, Worker);

        this.onmessage = null;

        // 目前 微信小游戏中 Worker 最大并发数量限制为 1 个，
        // 所以创建新Worker前, 需要结束现有的 Worker.terminate
        if (Worker.previousWorker) {
            Worker.previousWorker.terminate();
        }
        Worker.previousWorker = this;

        this._file = file;

        this._worker = swan.createWorker(file);

        this._worker.onMessage(function (res) {
            if (_this.onmessage) {
                _this.onmessage({
                    target: _this,
                    data: res
                });
            }
        });
    }

    _createClass(Worker, [{
        key: "postMessage",
        value: function postMessage(message, transferList) {
            this._worker.postMessage(message, transferList);
        }
    }, {
        key: "terminate",
        value: function terminate() {
            this._worker.terminate();
            Worker.previousWorker = null;
        }
    }]);

    return Worker;
}();

exports.default = Worker;


Worker.previousWorker = null;

// export default function(file) {
//     const worker = swan.createWorker(file)

//     return worker
// }

module.exports = exports["default"];