"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
/* eslint-disable */
var localStorage = {
    get length() {
        var _swan$getStorageInfoS = swan.getStorageInfoSync(),
            keys = _swan$getStorageInfoS.keys;

        return keys.length;
    },

    key: function key(n) {
        var _swan$getStorageInfoS2 = swan.getStorageInfoSync(),
            keys = _swan$getStorageInfoS2.keys;

        return keys[n];
    },
    getItem: function getItem(key) {
        var value = swan.getStorageSync(key);
        return value === "" ? null : value;
    },
    setItem: function setItem(key, value) {
        return swan.setStorageSync(key, value);
    },
    removeItem: function removeItem(key) {
        swan.removeStorageSync(key);
    },
    clear: function clear() {
        swan.clearStorageSync();
    }
};

exports.default = localStorage;
module.exports = exports["default"];